Struct LlmRequest
Generated from cargo doc --no-deps -p nemo-relay-builtins -p nemo-relay-diagnostics -p nemo-relay-logging -p nemo-relay-plugin-host -p nemo-relay-codecs -p nemo-relay -p nemo-relay-runtime -p nemo-relay-model-pricing -p nemo-relay-resource-metrics -p nemo-relay-observability -p nemo-relay-adaptive -p nemo-relay-pii-redaction -p nemo-relay-ffi -p nemo-relay-types -p nemo-relay-plugin -p nemo-relay-worker-proto -p nemo-relay-worker.
pub struct LlmRequest {
pub headers: Map<String, Value>,
pub content: Value,
}
JSON-shaped LLM request payload passed through the runtime.
Fields
headers: Map<String, Value>
Provider-specific request headers.
content: Value
Provider-specific request body.
Trait Implementations
impl Clone for LlmRequest
impl Clone for LlmRequest
clone
fn clone(&self) -> LlmRequest
clone_from
fn clone_from(&mut self, source: &Self)
impl Debug for LlmRequest
impl Debug for LlmRequest
fmt
fn fmt(&self, f: &mut Formatter<'_>) -> Result<(), Error>
impl<'de> Deserialize<'de> for LlmRequest
impl<'de> Deserialize<'de> for LlmRequest
deserialize
fn deserialize<__D>(
__deserializer: __D,
) -> Result<LlmRequest, <__D as Deserializer<'de>>::Error>where
__D: Deserializer<'de>,
impl From<LlmRequest> for LlmRequestInterceptOutcome
impl From<LlmRequest> for LlmRequestInterceptOutcome
from
fn from(request: LlmRequest) -> LlmRequestInterceptOutcome
impl PartialEq for LlmRequest
impl PartialEq for LlmRequest
eq
fn eq(&self, other: &LlmRequest) -> bool
ne
fn ne(&self, other: &Rhs) -> bool
impl Serialize for LlmRequest
impl Serialize for LlmRequest
serialize
fn serialize<__S>(
&self,
__serializer: __S,
) -> Result<<__S as Serializer>::Ok, <__S as Serializer>::Error>where
__S: Serializer,
impl WireValue<Box<LlmRequest>> for LlmRequest
impl WireValue<Box<LlmRequest>> for LlmRequest
to_wire
fn to_wire(self) -> Result<Box<LlmRequest>, ConversionError>
from_wire
fn from_wire(value: Box<LlmRequest>) -> Result<LlmRequest, ConversionError>
impl WireValue<LlmRequest> for LlmRequest
impl WireValue<LlmRequest> for LlmRequest
to_wire
fn to_wire(self) -> Result<LlmRequest, ConversionError>
from_wire
fn from_wire(value: LlmRequest) -> Result<LlmRequest, ConversionError>
impl StructuralPartialEq for LlmRequest
impl StructuralPartialEq for LlmRequest